Name: unclutter
Version: 0.8
Release: 4
Distribution: Red Hat Linux 4.0
Summary: hides the mouse cursor when idle
Source: ftp://ftp.x.org/contrib/utilities/unclutter-8.tar.Z
Copyright: distributable
Group: X11/Utilities
Packager: Paul H. Hargrove <hargrove@sccm.Stanford.EDU>
BuildRoot: /var/tmp/unclutter-root
 
%description
unclutter is a program which runs permanently in the background of an
X11 session.  It checks on the X11 pointer (cursor) position every
few seconds, and when it finds it has not moved (and no buttons are
pressed on the mouse, and the cursor is not in the root window) it
creates a small sub-window as a child of the window the cursor is in.
The new window installs a cursor of size 1x1 but a mask of all 0, ie
an invisible cursor.  This allows you to see all the text in an xterm
or xedit, for example.  The human factors crowd would agree it should
make things less distracting.


%changelog
* Tue Jul 7 1998 Paul H. Hargrove <hargrove@sccm.Stanford.EDU>
  [0.8-4]
- Remove modes from %attr on $docs.
 
* Tue Apr 14 1998 Paul H. Hargrove <hargrove@sccm.Stanford.EDU>
  [0.8-3]
- OOPS, I forgot the BuildRoot tag in the previous release.

  [0.8-2]
- Started with 0.8-1 SRPM by dannys@poboxes.com
- Use buildroot and %attr

%prep
%setup -n unclutter

%build
xmkmf
make CDEBUGFLAGS="$RPM_OPT_FLAGS"

%install
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/bin
install -s unclutter $RPM_BUILD_ROOT/usr/X11R6/bin/unclutter
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/man/man6
install unclutter.man $RPM_BUILD_ROOT/usr/X11R6/man/man6/unclutter.6

%clean
rm -rf $RPM_BUILD_ROOT

%files
%attr(-,root,root) %doc README
%attr(755,root,root) /usr/X11R6/bin/unclutter
%attr(644,root,root) /usr/X11R6/man/man6/unclutter.6
